Results 1 to 2 of 2

Thread: Racourci pour changer de calque avec du texte

  1. #1
    Woo! Hoo! my 1st post
    Join Date
    2016-03
    Posts
    1


    Default Racourci pour changer de calque avec du texte

    Bonjour, j'ai chercher a plusieurs endroits mais je n'ai pas trouvé réponse à ce que je recherche.

    J'aimerais pouvoir sélectionner un élément et changer son calque en écrivant ou sélectionnant (avec un menu déroulant) une seule lettre.

    exemple: je sélectionne une ligne de plomberie sur le calque M-D-PLO-EFS, j'écris la Lettre "P" pour changer mon calque à M-P-PLO-EFS.

    Mes calques varient avec trois variables, E(existant), D(démolition), P(Proposé). j'aimerais pouvoir changer les éléments sélectionnés rapidement entre ces trois variables. Je crois que la chose est possible en utilisant un LISP, mais je ne suis pas très familier avec les lignes de codes.

    Merci!

  2. #2
    100 Club
    Join Date
    2002-08
    Posts
    160


    Default Re: Racourci pour changer de calque avec du texte

    Bonjour,

    Avec les éléments que tu donnes, essayes avec cette fonction!
    Fonctionne avec un OU plusieurs éléments sélectionnés, du moment qu'ils appartiennent aux calques précités.
    La lettre peut être écrite, ou sélectionner dans le menu (en faisant un click-droit à l'instant de la demande). Si ce menu n'apparait pas voir la variable SHORTCUTMENU (mettre 11 : valeur normalement par défaut)

    Code:
    (defun c:QC ( / js key lay_nam n dxf_ent) ; Quick Change
    	(princ "\nSélectionnez des objets filtré sur les calques M-?-PLO-EFS")
    	(setq js (ssget '((8 . "M-D-PLO-EFS,M-P-PLO-EFS,M-E-PLO-EFS"))))
    	(cond
    		(js
    			(initget 1 "D P E")
    			(setq key (getkword "\nChoix de la destination [D/P/E]?: "))
    			(setq lay_nam (cond ((eq key "D") "M-D-PLO-EFS") ((eq key "P") "M-P-PLO-EFS") ((eq key "E") "M-E-PLO-EFS")))
    			(repeat (setq n (sslength js))
    				(setq dxf_ent (entget (ssname js (setq n (1- n)))))
    				(entmod (subst (cons 8 lay_nam) (assoc 8 dxf_ent) dxf_ent))
    			)
    		)
    	)
    	(prin1)
    )

Similar Threads

  1. Fonctions pour RAC2009 : Changer de niveau
    By Pierre-Nelson NAVARRA in forum Revit Architecture - API
    Replies: 117
    Last Post: 2010-05-05, 08:26 PM
  2. Décomposer texte avec LT2007 en vectorel
    By m.devezeaud in forum Français - AutoCAD / AutoCAD LT - Général
    Replies: 2
    Last Post: 2010-01-24, 10:40 PM
  3. Ecotect... pour bientot ou pas avec Revit ?
    By cnevians@yahoo.fr in forum Revit Architecture - Général
    Replies: 0
    Last Post: 2010-01-14, 02:00 PM
  4. Cacher Texte avec Zone de Masquage
    By tmuche in forum Revit Architecture - Général
    Replies: 0
    Last Post: 2009-05-13, 12:07 PM
  5. Changer l'icone EQ pour un ( = ) sur les cotes permanentes?
    By christian.glaude in forum Revit Architecture - Général
    Replies: 5
    Last Post: 2008-02-24, 11:45 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •